Bug 170160 - multimedia/iso2mkv: Update to version 2007.04.25
Summary: multimedia/iso2mkv: Update to version 2007.04.25
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Scheidell
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-25 19:10 UTC by tkato432
Modified: 2012-08-06 13:50 UTC (History)
0 users

See Also:


Attachments
file.diff (2.08 KB, patch)
2012-07-25 19:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2012-07-25 19:10:15 UTC
- Update to version 2007.04.25
Comment 1 Michael Scheidell freebsd_committer 2012-08-04 13:53:17 UTC
Class Changed
From-To: change-request->update



Comment 2 Michael Scheidell freebsd_committer 2012-08-04 13:53:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it.
Comment 3 dfilter service freebsd_committer 2012-08-06 13:48:45 UTC
Author: scheidell
Date: Mon Aug  6 12:48:34 2012
New Revision: 302178
URL: http://svn.freebsd.org/changeset/ports/302178

Log:
  - Update to version 2007.04.25
  
  PR:		ports/170160
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>

Modified:
  head/multimedia/iso2mkv/Makefile
  head/multimedia/iso2mkv/distinfo

Modified: head/multimedia/iso2mkv/Makefile
==============================================================================
--- head/multimedia/iso2mkv/Makefile	Mon Aug  6 12:44:50 2012	(r302177)
+++ head/multimedia/iso2mkv/Makefile	Mon Aug  6 12:48:34 2012	(r302178)
@@ -6,36 +6,45 @@
 #
 
 PORTNAME=	iso2mkv
-PORTVERSION=	0.8.4
-PORTREVISION=	6
+DISTVERSION=	2007-04-25
 CATEGORIES=	multimedia
 MASTER_SITES=	http://5ko.free.fr/dl/
-DISTNAME=	${PORTNAME}
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	Front-end shell script to convert DVD image, device, or VIDEO_TS to mkv with xvid and ogg or mp3 audio
+COMMENT=	Script to convert DVD image, device, or VIDEO_TS to mkv
 
-RUN_DEPENDS=	mencoder:${PORTSDIR}/multimedia/mencoder \
-		bash:${PORTSDIR}/shells/bash \
-		mkvmerge:${PORTSDIR}/multimedia/mkvtoolnix \
-		lame:${PORTSDIR}/audio/lame \
+RUN_DEPENDS=	lame:${PORTSDIR}/audio/lame \
+		normalize:${PORTSDIR}/audio/normalize \
 		oggenc:${PORTSDIR}/audio/vorbis-tools \
-		normalize:${PORTSDIR}/audio/normalize
+		mencoder:${PORTSDIR}/multimedia/mencoder \
+		mkvmerge:${PORTSDIR}/multimedia/mkvtoolnix \
+		bash:${PORTSDIR}/shells/bash
 
-USE_BZIP2=	yes
+WRKSRC=		${WRKDIR}/${PORTNAME}
 NO_BUILD=	yes
 
+USE_BZIP2=	yes
+
 PLIST_FILES=	bin/iso2mkv
+PORTDOCS=	README.utf8.txt
+PORTEXAMPLES=	iso2mkv.conf
 
 post-patch:
-	@${REINPLACE_CMD} -e 's|stat -c %s|stat -f %z|g' \
-		${WRKSRC}/iso2mkv
-	@${REINPLACE_CMD} -e 's|/bin/bash|${LOCALBASE}/bin/bash|g' \
-		${WRKSRC}/iso2mkv
-	@${REINPLACE_CMD} -e 's|normalize-audio|normalize|g' \
-		${WRKSRC}/iso2mkv
-
+	@${REINPLACE_CMD} -e \
+		's|^#!/bin/bash|#!${LOCALBASE}/bin/bash| ; \
+		 s|normalize-audio|normalize| ; \
+		 s|stat -c %s|stat -f %z|' ${WRKSRC}/iso2mkv
 do-install:
 	${INSTALL_SCRIPT} ${WRKSRC}/iso2mkv ${PREFIX}/bin
+.if !defined(NOPORTDOCS)
+	@${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/${PORTDOCS} ${DOCSDIR}/
+.endif
+	@${CAT} ${WRKSRC}/README.utf8.txt
+.if !defined(NOPORTEXAMPLES)
+	@${MKDIR} ${EXAMPLESDIR}
+	${INSTALL_DATA} ${WRKSRC}/${PORTEXAMPLES} ${EXAMPLESDIR}/
+	@${ECHO} "${EXAMPLESDIR}/${PORTEXAMPLES} should be copied to   ~/.mplayer/iso2mkv.conf"
+.endif
 
 .include <bsd.port.mk>

Modified: head/multimedia/iso2mkv/distinfo
==============================================================================
--- head/multimedia/iso2mkv/distinfo	Mon Aug  6 12:44:50 2012	(r302177)
+++ head/multimedia/iso2mkv/distinfo	Mon Aug  6 12:48:34 2012	(r302178)
@@ -1,2 +1,2 @@
-SHA256 (iso2mkv.tar.bz2) = af9b9b9a20e25035611c4a0ae63d5cb54c6ff5bf2c409d17d065d7ba55c22c5c
-SIZE (iso2mkv.tar.bz2) = 6611
+SHA256 (iso2mkv-2007-04-25.tar.bz2) = 13ae693b56d4802e2706d8fe93836e8942e29da51d84e09ab2c89ff8c6028d2c
+SIZE (iso2mkv-2007-04-25.tar.bz2) = 8348
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Michael Scheidell freebsd_committer 2012-08-06 13:48:49 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!